| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csImageTools Class Reference
[Graphics]

Some helper functions to deal with iImage objects. More...

`#include <csgfx/imagetools.h>`

List of all members.

## Static Public Member Functions
static int | ClosestPaletteIndex (const csRGBpixel *Palette, const csRGBpixel &iColor, int palEntries=256)
| Return the closest palette index to given color.
static size_t | ComputeDataSize (iImage *img)
| Compute the size of an image data, in bytes.

## Detailed Description

Some helper functions to deal with iImage objects.

Definition at line 38 of file imagetools.h.

## Member Function Documentation

static int csImageTools::ClosestPaletteIndex | ( | const csRGBpixel * | Palette,
|  | const csRGBpixel & | iColor,
|  | int | palEntries = `256` |
| ) |  |  | `[static]`

Return the closest palette index to given color.

static size_t csImageTools::ComputeDataSize | ( | iImage * | img | ) | `[inline, static]`

Compute the size of an image data, in bytes.

Definition at line 42 of file imagetools.h.

References CS_IMGFMT_MASK, CS_IMGFMT_PALETTED8, iImage::GetDepth(), iImage::GetFormat(), iImage::GetHeight(), and iImage::GetWidth().

The documentation for this class was generated from the following file:

- csgfx/imagetools.h